> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapier.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Prefill Choices

> Get prefill choices for an app's prefill.



## OpenAPI

````yaml post /api/v2/apps/{app}/choices/{prefill}/
openapi: 3.1.0
info:
  title: Zapier AI Actions API V2
  version: 1.0.0
  description: ''
servers:
  - url: https://actions.zapier.com
security: []
paths:
  /api/v2/apps/{app}/choices/{prefill}/:
    post:
      tags:
        - actions
      summary: Get Prefill Choices
      description: Get prefill choices for an app's prefill.
      operationId: api_actions_get_prefill_choices
      parameters:
        - in: path
          name: app
          schema:
            description: The app that the prefill belongs to.
            title: App
            type: string
          required: true
          description: The app that the prefill belongs to.
        - in: path
          name: prefill
          schema:
            description: The prefill to get choices for.
            title: Prefill
            type: string
          required: true
          description: The prefill to get choices for.
        - in: query
          name: authentication_id
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: >

              ID of the authentication to use for the app.


              Authentications available to the user can be listed using the
              [List Authentications For
              App](/docs/api-reference/actions/list-authentications-for-app)
              endpoint.
            title: Authentication Id
          required: false
          description: >

            ID of the authentication to use for the app.


            Authentications available to the user can be listed using the [List
            Authentications For
            App](/docs/api-reference/actions/list-authentications-for-app)
            endpoint.
        - in: query
          name: account_id
          schema:
            description: >

              The Zapier account ID to use.


              Account IDs available to the user can be listed using the [Get
              Account List](/docs/api-reference/meta/get-account-list) endpoint 
            title: Account Id
            type: integer
          required: false
          description: >

            The Zapier account ID to use.


            Account IDs available to the user can be listed using the [Get
            Account List](/docs/api-reference/meta/get-account-list) endpoint 
        - in: query
          name: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Optional query to filter results by.
            title: Query
          required: false
          description: Optional query to filter results by.
        - in: query
          name: force_refresh
          schema:
            default: false
            description: >

              The list of prefill options for each user/app/prefill combo is
              cached for 24 hours.
                                              
              If `force_refresh` is set to `true`, the cache will be refreshed.
              This should only be used when the list of prefill options is known
              to have changed.
                                              
              Best practice is to offer a "Refresh" button to the user that sets
              this to `true` for one request.
            title: Force Refresh
            type: boolean
          required: false
          description: >

            The list of prefill options for each user/app/prefill combo is
            cached for 24 hours.
                                            
            If `force_refresh` is set to `true`, the cache will be refreshed.
            This should only be used when the list of prefill options is known
            to have changed.
                                            
            Best practice is to offer a "Refresh" button to the user that sets
            this to `true` for one request.
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ActionDetailsParamsSchema'
              default:
                params: {}
        required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrefillChoicesResultsSchema'
      security:
        - AccessPointApiKeyHeader: []
        - AccessPointOAuth: []
components:
  schemas:
    ActionDetailsParamsSchema:
      additionalProperties: true
      properties:
        params:
          description: >-
            A dictionary of key-value pairs, where the key is a `need` key and
            the value is a selected value for that need.
          title: Params
          type: object
      required:
        - params
      title: ActionDetailsParamsSchema
      type: object
    PrefillChoicesResultsSchema:
      additionalProperties: true
      properties:
        is_loading:
          description: >

            If this is `true`, then it means that the list of prefill options is
            still being loaded.
                                         
            While this is `true`, the endpoint should be polled (in general
            every second) until it returns `false`.
          title: Is Loading
          type: boolean
        last_refresh_seconds_ago:
          anyOf:
            - type: integer
            - type: 'null'
          description: >

            Seconds that have elapsed since the list of options for this prefill
            has been refreshed.
                                                             
            To refresh the list, use the `force_refresh` query parameter.
          title: Last Refresh Seconds Ago
        results:
          items:
            $ref: '#/components/schemas/ChoiceT'
          title: Results
          type: array
      required:
        - is_loading
        - last_refresh_seconds_ago
        - results
      title: PrefillChoicesResultsSchema
      type: object
    ChoiceT:
      properties:
        key:
          title: Key
          type: string
        label:
          title: Label
          type: string
        sample:
          title: Sample
          type: string
      title: ChoiceT
      type: object
  securitySchemes:
    AccessPointApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    AccessPointOAuth:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: /oauth/authorize/
          tokenUrl: /oauth/token/
          scopes:
            nla:exposed_actions:execute: Run AI Actions
            openid: OpenID Connect scope

````